View Javadoc

    1   /*
    2    * Copyright 2001-2005 (C) MetaStuff, Ltd. All Rights Reserved.
    3    *
    4    * This software is open source.
    5    * See the bottom of this file for the licence.
    6    */
    7
    8   package org.dom4j;
    9
    10  import java.util.List;
    11
    12  /***
    13   * <p>
    14   * <code>DocumentType</code> defines an XML DOCTYPE declaration.
    15   * </p>
    16   *
    17   * @author <a href="mailto:james.strachan@metastuff.com">James Strachan </a>
    18   * @version $Revision: 1.10 $
    19   */
    20  public interface DocumentType extends Node {
    21      /***
    22       * This method is the equivalent to the {@link #getName}method. It is added
    23       * for clarity.
    24       *
    25       * @return the root element name for the document type.
    26       */
    27      String getElementName();
    28
    29      /***
    30       * This method is the equivalent to the {@link #setName}method. It is added
    31       * for clarity.
    32       *
    33       * @param elementName
    34       *            DOCUMENT ME!
    35       */
    36      void setElementName(String elementName);
    37
    38      String getPublicID();
    39
    40      void setPublicID(String publicID);
    41
    42      String getSystemID();
    43
    44      void setSystemID(String systemID);
    45
    46      /***
    47       * Returns a list of internal DTD declaration objects, defined in the
    48       * {@link org.dom4j.dtd}package
    49       *
    50       * @return DOCUMENT ME!
    51       */
    52      List getInternalDeclarations();
    53
    54      /***
    55       * Sets the list of internal DTD declaration objects, defined in the
    56       * {@link org.dom4j.dtd}package
    57       *
    58       * @param declarations
    59       *            DOCUMENT ME!
    60       */
    61      void setInternalDeclarations(List declarations);
    62
    63      /***
    64       * Returns a list of internal DTD declaration objects, defined in the
    65       * {@link org.dom4j.dtd}package
    66       *
    67       * @return DOCUMENT ME!
    68       */
    69      List getExternalDeclarations();
    70
    71      /***
    72       * Sets the list of internal DTD declaration objects, defined in the
    73       * {@link org.dom4j.dtd}package
    74       *
    75       * @param declarations
    76       *            DOCUMENT ME!
    77       */
    78      void setExternalDeclarations(List declarations);
    79  }
    80
    81  /*
    82   * Redistribution and use of this software and associated documentation
    83   * ("Software"), with or without modification, are permitted provided that the
    84   * following conditions are met:
    85   *
    86   * 1. Redistributions of source code must retain copyright statements and
    87   * notices. Redistributions must also contain a copy of this document.
    88   *
    89   * 2. Redistributions in binary form must reproduce the above copyright notice,
    90   * this list of conditions and the following disclaimer in the documentation
    91   * and/or other materials provided with the distribution.
    92   *
    93   * 3. The name "DOM4J" must not be used to endorse or promote products derived
    94   * from this Software without prior written permission of MetaStuff, Ltd. For
    95   * written permission, please contact dom4j-info@metastuff.com.
    96   *
    97   * 4. Products derived from this Software may not be called "DOM4J" nor may
    98   * "DOM4J" appear in their names without prior written permission of MetaStuff,
    99   * Ltd. DOM4J is a registered trademark of MetaStuff, Ltd.
    100  *
    101  * 5. Due credit should be given to the DOM4J Project - http://www.dom4j.org
    102  *
    103  * THIS SOFTWARE IS PROVIDED BY METASTUFF, LTD. AND CONTRIBUTORS ``AS IS'' AND
    104  * ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
    105  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
    106  * ARE DISCLAIMED. IN NO EVENT SHALL METASTUFF, LTD. OR ITS CONTRIBUTORS BE
    107  * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
    108  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
    109  * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
    110  * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
    111  * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
    112  * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
    113  * POSSIBILITY OF SUCH DAMAGE.
    114  *
    115  * Copyright 2001-2005 (C) MetaStuff, Ltd. All Rights Reserved.
    116  */